/***************************************************************************
                          button.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BUTTON_H
#define BUTTON_H

#include "gui.h"

/**
  *@author funthing (Matthias Zisler)
  */

class Timer;

class Button : public Gui
{
public: 
	Button(int _x, int _y, Menu* _men, CL_String _text);
	~Button();

	bool is_activated();
	bool is_pressed();
	void act();

private:

	int get_lengt();	
	bool pressed, played, activated;
	CL_String text;
	CL_Font* font;
	Timer* timer;

};

#endif
